System 2.0.0.0 4.0.0.0 System.ValueType System.Collections.Generic.IEnumerator<T>

is implemented as an array.

The capacity of a is the number of elements the can hold. As elements are added to a , the capacity is automatically increased as required by reallocating the internal array. The capacity can be decreased by calling .

If is less than the capacity of the stack, is an O(1) operation. If the capacity needs to be increased to accommodate the new element, becomes an O() operation, where is . is an O(1) operation.

accepts null as a valid value for reference types and allows duplicate elements.

Represents a variable size last-in-first-out (LIFO) collection of instances of the same arbitrary type.

- Property
  2.0.0.0
  4.0.0.0
  T To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.